### File

`packages/components/eui-discussion-thread/models/eui-discussion-thread-item.model.ts`

### Description

Interface defining the structure of an item within a discussion thread.

This interface encapsulates all the necessary properties to display a single message or entry, including metadata like author, date, and styling information.

See EuiDiscussionThreadComponent See EuiDiscussionThreadItemComponent

### Index

###### Properties
author body date id Optional tooltip typeClass

### Properties

author
`author: `string``
Type : `string`
Name or identifier of the author who created the item.

body
`body: `string``
Type : `string`
Content body of the discussion thread item. Contains the main message or comment text.

date
`date: `string``
Type : `string`
Date when the thread item was created or modified. Typically formatted as an ISO string or similar date format.

id
`id: `string``
Type : `string`
Unique identifier for the discussion thread item. Used for tracking and reference purposes.

tooltip
`tooltip: `string``
Type : `string`
Optional
Optional tooltip text to display additional information when hovering over the item.

typeClass
`typeClass: `string``
Type : `string`
CSS class identifier that defines the visual style of the item. Common values include 'info', 'warning', 'error', etc.

# results matching ""

# No results matching ""